# pandas.api.extensions.ExtensionArray.isna

ExtensionArray.isna()

  A 1-D array indicating if each value is missing.

  Returns
    na_values Union[np.ndarray, ExtensionArray]

      In most cases, this should return a NumPy ndarray. For exceptional cases like `SparseArray`, where returning an ndarray would be expensive, an ExtensionArray may be returned.

  Notes

  If returning an ExtensionArray, then

  - `na_values._is_boolean` should be True

  - na_values should implement `ExtensionArray._reduce()`

  - `na_values.any` and `na_values.all` should be implemented